<!DOCTYPE html>
<html lang="{{ site.lang }}" dir="{{ site.dir }}">
  <head>
    <meta charset="UTF-8">
    <base href="{% base %}" />
    <meta content="text/html; charset=UTF-8" http-equiv="Content-Type">
    <meta content="width=device-width, initial-scale=1.0" name="viewport">
    <meta name="theme-color" content="white"/>
    <meta name="color-scheme" content="light"/>
    <meta name="referrer" content="strict-origin-when-cross-origin"/>

    {% comment %}
    No tenemos forma de hashear SASS aún, por lo que renovamos la caché
    aplicando la hora de compilación del sitio.  Es importante que los
    CSS se renueven cuando se regenera el sitio, porque pueden contener
    variables dinámicas (como personalización de colores y tipografía) o
    minificarse distinto dependiendo del contenido.
    {% endcomment %}
    <link href="assets/css/styles.css?{{ site.time | date: '%s' }}" rel="stylesheet">

    <script src="{{ site.data.manifest["entrypoints/application.js"].file }}" crossorigin="anonymous" type="module"></script>
    <link href="{{ site.data.manifest["_vendor.87290d7b.js"].file }}" rel="modulepreload" as="script" crossorigin="anonymous"/>

    {% comment %}
    Agregar otras tipografías.  Esto hace que las tipografías se carguen
    lo más rápido posible y minimizar el tiempo en que se ven las del
    navegador.  En Firefox todavía no está soportado.

    Fork Awesome lleva la hora de generación para poder renovarlo si
    agregamos íconos nuevos, de lo contrario puede quedar cacheado para
    siempre y les visitantes van a ver íconos rotos.
    {% endcomment %}
    {% include_cached preload_font.html font='assets/fonts/forkawesome-webfont.woff2' %}

    <link rel="icon" type="image/svg+xml" href="public/favicon.svg">
    <link rel="alternate icon" href="public/favicon.ico">
    <link rel="mask-icon" href="public/favicon.svg" color="white">

    {% seo %}
    {% feed_meta %}
  </head>
  <body class="d-flex flex-column justify-content-between min-h-100vh">
    <div class="fixed-top" data-turbo-permanent>
      <a href="#content" data-turbo="false" class="sr-only sr-only-focusable">
        {{ site.i18n.accessibility.skip_to_content }}
      </a>
    </div>

    {% include menu.html %}

    <main tabindex="-1" role="main" id="content" data-controller="scroll stock" data-per-page="100" class="flex-grow-1 container">
      {{ content }}
    </main>

    {% include_cached footer.html %}
    {% include_cached floating_alert.html %}
  </body>
</html>
